namespace ModelOne.Context.ModelOneMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Initial : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "ModelOne.Doctors",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        ActorName = c.String(),
                        Season = c.String(),
                        RegenerationTrigger = c.String(),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "ModelOne.Episodes",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Season = c.Int(nullable: false),
                        Name = c.String(),
                        Abstract = c.String(),
                        Doctor_Id = c.Int(),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("ModelOne.Doctors", t => t.Doctor_Id)
                .Index(t => t.Doctor_Id);
            
        }
        
        public override void Down()
        {
            DropForeignKey("ModelOne.Episodes", "Doctor_Id", "ModelOne.Doctors");
            DropIndex("ModelOne.Episodes", new[] { "Doctor_Id" });
            DropTable("ModelOne.Episodes");
            DropTable("ModelOne.Doctors");
        }
    }
}
