namespace ModelOne.Context.ModelTwoMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Initial : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "ModelTwo.BBCEmployees",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "ModelTwo.HiringHistories",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Date = c.DateTime(nullable: false),
                        Role = c.Int(nullable: false),
                        EmployeeId = c.Int(nullable: false),
                        BBCEmployee_Id = c.Int(),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("ModelTwo.BBCEmployees", t => t.BBCEmployee_Id)
                .Index(t => t.BBCEmployee_Id);
            
        }
        
        public override void Down()
        {
            DropForeignKey("ModelTwo.HiringHistories", "BBCEmployee_Id", "ModelTwo.BBCEmployees");
            DropIndex("ModelTwo.HiringHistories", new[] { "BBCEmployee_Id" });
            DropTable("ModelTwo.HiringHistories");
            DropTable("ModelTwo.BBCEmployees");
        }
    }
}
