namespace ModelOne.Context.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class InitialModelOne : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Doctors",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        ActorName = c.String(),
                        Season = c.String(),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.Episodes",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Season = c.Int(nullable: false),
                        Name = c.String(),
                        Abstract = c.String(),
                        Doctor_Id = c.Int(),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("dbo.Doctors", t => t.Doctor_Id)
                .Index(t => t.Doctor_Id);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Episodes", "Doctor_Id", "dbo.Doctors");
            DropIndex("dbo.Episodes", new[] { "Doctor_Id" });
            DropTable("dbo.Episodes");
            DropTable("dbo.Doctors");
        }
    }
}
